#include <gtest/gtest.h>

#include <iostream>
#include <math.h>
#include <boost/shared_ptr.hpp>

#include "rci/ResourceNode.h"
#include "rci/Controlled.h"

using namespace nemo;
using namespace rci;

class TestNode: public ResourceNode,
        Controlled {
public:
    TestNode() :
        ResourceNode("Test node"), Controlled() {
    }
    virtual ~TestNode() {
    }
    virtual bool isConverged() const {
        return false;
    }
    virtual void onProcess() {
        //
    }
};

class ControlledNodeTest: public ::testing::Test {
protected:

    ControlledNodeTest() :
        rn() {
    }

    virtual ~ControlledNodeTest() {
    }

    TestNode rn;
};
